// kubejs/server_scripts/script.js
onEvent('recipes', event => {
	// this creates a recipe for extracting 30 netherrack from obsidian, dealing 304 damage and taking an hour to mine at 128 RPM
	event.recipes.createautomated.extracting("kubejs:draconium_node", "kubejs:draconium_ore_piece")
            .drillDamage(600)
             // either 2 integers, in which case it will give a random amount between them, or 1 integer in which case it will always give this many
            .ore(8)
             // options: 
             // requiredProgressTicks, requiredProgressSeconds, requiredProgressMinutes
            .requiredProgressSeconds(256, 30) 
})